net.sourceforge.jnlp.cache

## Class UpdatePolicy

- java.lang.Object
- - net.sourceforge.jnlp.cache.UpdatePolicy

    public class UpdatePolicy
    extends java.lang.Object

A policy that determines when a resource should be checked for an updated version.

### Field Summary

Fields
`static UpdatePolicy` `ALWAYS`
`static UpdatePolicy` `FORCE`
`static UpdatePolicy` `NEVER`
`static UpdatePolicy` `SESSION`

### Constructor Summary

Constructors
Constructor and Description
`UpdatePolicy()` Create a new update policy; this policy always updates the entry unless the shouldUpdate method is overridden.
`UpdatePolicy(long timeDiff)` Create an update policy that only checks a file for being updated if it has not been checked for longer than the specified time.

### Method Summary

Methods
`boolean` `shouldUpdate(CacheEntry entry)` Returns whether the resource should be checked for being up-to-date.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALWAYS

    public static UpdatePolicy ALWAYS

#### SESSION

    public static UpdatePolicy SESSION

#### FORCE

    public static UpdatePolicy FORCE

#### NEVER

    public static UpdatePolicy NEVER

### Constructor Detail

#### UpdatePolicy

    public UpdatePolicy()

Create a new update policy; this policy always updates the entry unless the shouldUpdate method is overridden.

#### UpdatePolicy

    public UpdatePolicy(long timeDiff)

Create an update policy that only checks a file for being updated if it has not been checked for longer than the specified time.

Parameters:
  `timeDiff` - how long in ms until update needed

### Method Detail

#### shouldUpdate

    public boolean shouldUpdate(CacheEntry entry)

Returns whether the resource should be checked for being up-to-date.